Skip to main content

Create Subpage

Playground

Method: POST Endpoint: /api/content/v1/pages

Request Parameters

Property NameTypeRequiredDescription
parentPageIdStringyesID of the parent page
titleStringyesTitle of the subpage
hasLayoutBooleanno, default is trueWhether the page should have a layout

Example

Response

Success (200): Page created successfully. Forbidden (403): Operation not permitted. Conflict (409): Conflict encountered (e.g., duplicate title).

Bulk Move Pages

Playground

Method: PUT Endpoint: /api/content/v1/pages/bulk/move

Request Parameters

Property NameTypeRequiredDescription
pageIdsArray of NumbersyesIDs of pages to move
parentPageIdNumberyesID of the new parent page
pagePermissionStringyesPermission for the pages
Valid Options for pagePermission:
  • "ORIGINAL"

Example

Response

Success (200): Pages moved successfully. Forbidden (403): Permission denied. Conflict (409): Conflict encountered (e.g., permission constraints).

Revoke Page Access

Playground

Method: DELETE Endpoint: /api/content/v1/share/page/{pageId}/user/{personId}

Path Parameters

Property NameTypeRequiredDescription
pageIdNumberyesID of the page
personIdNumberyesID of the user

Example

Response

Success (200): Access revoked successfully. Forbidden (403): Operation not permitted. Conflict (409): Conflict encountered while attempting to revoke access.